div#user_profile_main_buttons {
    margin-bottom: 1rem;
    display: block;
    text-align: center;
}

/* "Edit Profile" <form> */
form#edit_user_profile {
    display: inline;
    margin-right: 0.8rem;
}

/* "Log Out" <form> */
form#logout_user {
    display: inline;
}

/* Username shown at the top of the page. */
#username_heading {
    font-size: 2rem;
    text-align: center; 
    padding-top: 1rem;
    margin-bottom: 1rem;
}

/* User's Website, Address, and Phone Number */
#user_details {
    margin: auto; 
    width: 20%; 
    border: 1px solid gray; 
    padding: 10px;
    float: left;
    margin-right: 0.6rem;
    margin-left: 5%;
}

/* Public-facing Profile for each user. */
#user_details_public {
    margin: auto; 
    width: 20%; 
    border: 1px solid gray; 
    padding: 10px;
}

/* If the user is a super-admin or lower-admin. */
#user_admin_roles_div_grouping {
    border: 1px solid gray;
    width: 69%;
    float: left;
    margin-right: 3rem;
    padding: 10px;
}

/* Affects both the "Super-Admin Roles" and "Lower-Admin Roles" title headings. */
.user_admin_roles_title {
    font-size: 1.5rem;
    font-weight: bold;
}

/* Affects only the "Lower-Admin Roles" title heading. */
#user_admin_role_lower_title {
    margin-top: 3rem;
}

p.user_admin_capabilities {
    padding-top: 5px;
}

form.user_admin_capabilities {
    margin-right: 0.2rem;
}

/* Adds a dashed gray line in-between two charity lists of the same type (e.g., 2 super-admin roles). */
.div_gray_dash_line {
    width: 100%; 
    border-top: 1px gray dashed;
    margin-bottom: 0.5rem;
}

/*
div#row_for_one_charity {
    display: block;
}

p.user_admin_capabilities, form.user_admin_capabilities {
    display: inline;
}*/
